ExtUtils::XSpp::Node::EnumValue(3pm)

NAME
ExtUtils::XSpp::Node::EnumValue - Node representing an enum element

DESCRIPTION
An ExtUtils::XSpp::Node subclass representing an "enum" declaration. As an example

    enum Bool
    {
        FALSE = 0,
        TRUE
    };

Will create two "ExtUtils::XSpp::Node::EnumValue" objects, the first with "name" "FALSE" and "value" 0, the second with "name" "TRUE" and no value.

Enumerations do not affect the generated code.

METHODS

  new
    my $e = ExtUtils::XSpp::Node::EnumValue->new( name  => 'FALSE',
                                                  value => '0x1 | 0x4',
                                                  );

Creates a new "ExtUtils::XSpp::Node::EnumValue".

"value" is optional.

ACCESSORS

  name
Returns the name of the enumeration element.

  value
Returns the initializer of the enumeration element, or "undef".